//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.


#include <vector>
#include <set>

#include "parallel/PetscProblemStat.h"
#include "parallel/PetscSolver.h"

namespace AMDiS {

  using namespace std;


  void PetscProblemStat::solve(AdaptInfo *adaptInfo, bool fixedMatrix)
  {
    FUNCNAME("PetscProblemStat::solve()");

    TEST_EXIT(meshDistributor)("Should not happen!\n");

    double wtime = MPI::Wtime();

    petscSolver->setMeshDistributor(meshDistributor);
    petscSolver->fillPetscMatrix(systemMatrix, rhs);
    petscSolver->solvePetscMatrix(*solution, adaptInfo);   

    INFO(info, 8)("solution of discrete system needed %.5f seconds\n", 
		  MPI::Wtime() - wtime);
  }

}
